using System;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            
            string[] ulaz = Console.ReadLine().Split();
            int n = int.Parse(ulaz[0]);
            int k = int.Parse(ulaz[1]);
            int index = -1;
            int[] brojevi = new int[n];
            string[] brojeviUnos = Console.ReadLine().Split();
            
            for(int i = 0; i < n; i++)
            {
                brojevi[i] = int.Parse(brojeviUnos[i]);
                
                if (brojevi[i] == k)
                {
                    index = i;
                }
            }
            int brojNaKarti = -1 ;
            if (index + 1 > brojeviUnos.Length - 1)
            {
                brojNaKarti = brojevi[0];
            }
            else
                brojNaKarti = brojevi[index + 1];
            Console.WriteLine(brojNaKarti);
        }
    }
}